commit b67d13c4dda8dc690a10374f241f98e9c2c52b00
Date:   Tue Jul 18 18:03:50 2017 +0800

    修复invoice这个app不安装情况下发票组件的错误

 app/erpapi/lib/shop/response/components/order/tax.php | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit db3eb62bb2281965ae0353b0700388f4027d5fb9
Merge: 21a2331 42c926a
Date:   Mon Jun 26 16:06:39 2017 +0800

    Merge branch 'develop'

commit 21a23311469c2638590bfb030470ef47d50f1b3f
Date:   Mon Jun 26 16:05:13 2017 +0800

    更新版本为4.1.3

 config/deploy/commerce_pro.xml   |  2 +-
 config/deploy/commerce_third.xml |  2 +-
 config/deploy/commerce_wms.xml   |  2 +-
 config/deploy/erp_pro.xml        |  2 +-
 config/deploy/erp_third.xml      |  2 +-
 config/deploy/erp_wms.xml        |  2 +-
 upgrade/4.1.3/readme.txt         | 86 ++++++++++++++++++++++++++++++++++++++++
 7 files changed, 92 insertions(+), 6 deletions(-)

commit 42c926a1117d3731c1414ca4a2242f642ce0d76a
Date:   Fri Jun 23 12:14:46 2017 +0800

    预占流水菜单名变更

 app/console/desktop.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 349d01d3725c9ee4b6fc98ac4f22a536dc658954
Date:   Fri Jun 23 12:11:40 2017 +0800

    预占流水的菜单名调整

 app/console/desktop.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 79b2a8fc8ae2494b4d58c79bc2ba45f191212c7d
Date:   Thu Jun 22 18:23:29 2017 +0800

    桌面-产品动态、升级补丁优化

 app/ome/lib/desktop/widgets/consultandpatch.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 544ac289a91f6f1d2b06c885c1c2986f7ced7379
Date:   Thu Jun 22 16:54:34 2017 +0800

    桌面产品动态、升级补丁样式优化

 app/ome/lib/desktop/widgets/consultandpatch.php   | 2 +-
 app/ome/view/desktop/widgets/consultandpatch.html | 9 +++++++++
 2 files changed, 10 insertions(+), 1 deletion(-)

commit fd287f3beee1d891faed865ad358c2bbb820035a
Date:   Thu Jun 22 16:44:30 2017 +0800

    桌面展示的咨询及补丁信息，增加缓存失效30分钟

 app/ome/lib/desktop/widgets/consultandpatch.php | 25 ++++++++++++++++++++-----
 1 file changed, 20 insertions(+), 5 deletions(-)

commit ae3db380b909d7c14e0f2149a703af3cb15f3d14
Merge: d88f2cb 45c727c
Date:   Thu Jun 22 15:35:15 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit d88f2cbcd8eab5d1f5395cf77dd7fbba69a70e24
Date:   Thu Jun 22 15:34:23 2017 +0800

    优化产品登录首屏-桌面的展示内容

 app/base/defined.php                              |  1 +
 app/base/lib/ego/ego.php                          | 36 ++++++++++++++--
 app/desktop/controller/dashboard.php              |  4 +-
 app/desktop/statics/css/default/style.css         |  1 +
 app/desktop/statics/css/default/style_min.css     |  2 +-
 app/desktop/view/dashboard.html                   | 40 ++++--------------
 app/ome/desktop.xml                               |  1 +
 app/ome/lib/desktop/widgets/consultandpatch.php   | 41 +++++++++++++++++++
 app/ome/lib/desktop/widgets/greenchannel.php      |  2 +-
 app/ome/services.xml                              |  1 +
 app/ome/view/desktop/widgets/consultandpatch.html | 50 +++++++++++++++++++++++
 app/ome/view/desktop/widgets/greenchannel.html    |  2 +-
 app/ome/view/desktop/widgets/productinfo.html     |  4 +-
 13 files changed, 143 insertions(+), 42 deletions(-)

commit 45c727c271d1a2972414062f97c50d5fcb8bde20
Date:   Thu Jun 22 14:10:08 2017 +0800

    批量暂停恢复

 app/ome/controller/admin/batch/order.php | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 1435b64f766ce9d29e4573c019e620608175cde0
Date:   Thu Jun 22 10:49:20 2017 +0800

    本地编辑hash更新优化

 app/ome/controller/admin/order.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d57e081445b25b85663dfb1166baa5c2eacf489f
Date:   Thu Jun 22 10:23:06 2017 +0800

    更新hash优化

 app/erpapi/lib/shop/response/process/order.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e996ba6fd37686ce4b0dab02030ef1dc0bcf036
Date:   Thu Jun 22 10:17:19 2017 +0800

    更新hash优化

 app/erpapi/lib/shop/response/process/order.php | 1 +
 1 file changed, 1 insertion(+)

commit babc781a134ca5115ad24cb6d19c5956d5498293
Date:   Thu Jun 22 10:15:43 2017 +0800

    hash更新优化

 app/erpapi/lib/shop/response/process/order.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6bd13160d69b854fe0c71f7fba08c4d280cd9136
Merge: 8f4c834 9191e5a
Date:   Thu Jun 22 10:03:39 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 8f4c8340eb4c3c373deb97b9190f79b25224f43f
Date:   Thu Jun 22 10:03:11 2017 +0800

    订单接收更新hash逻辑优化

 .../shop/response/components/order/combinehash.php | 21 --------------
 app/erpapi/lib/shop/response/order.php             |  2 +-
 app/erpapi/lib/shop/response/process/order.php     | 32 ++++++++++++++++++++++
 3 files changed, 33 insertions(+), 22 deletions(-)

commit 9191e5a8dc3c38eb2a0cd3e10eb4ab33151908a0
Merge: ebdb787 7d1694e
Date:   Wed Jun 21 17:42:58 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit ebdb78750fb202649522836e35beeee4e4cf7758
Date:   Wed Jun 21 17:42:45 2017 +0800

    库存深度_Ecstore店铺_单个SKU同步货品数据格式变更 jira:SAASOMS-204

 app/inventorydepth/lib/service/shop/ecstore.php | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 7d1694e7b42ed9475bff03e73a30d49b9b154425
Date:   Wed Jun 21 17:39:16 2017 +0800

    后台自动审单不需要更新hash，更新节点已在接收订单处实现

 app/ome/lib/autotask/task/combine.php | 2 ++
 1 file changed, 2 insertions(+)

commit 2192265a834d4bf238cb504ada2306158b455c80
Merge: 58530b1 5e08be3
Date:   Wed Jun 21 14:40:36 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 58530b1a47718acf8f634901c1a36aba23e3c1f1
Date:   Wed Jun 21 14:39:07 2017 +0800

    售后_促销销售物料的可售库存=基础物料可售库存_除以_绑定比例 jira:DDGL-967

 app/ome/controller/admin/return/rchange.php | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 5e08be39d29f2f3b55c5b023f1ad67c9e3165047
Date:   Wed Jun 21 11:26:38 2017 +0800

    优化wap端样式：解决wap端safari的loading图标不转的问题。

 app/wap/statics/img/spinner.svg      | 40 +++++++++++++++++++++++++++++++++++-
 app/wap/statics/js/mobile.js         |  6 +++---
 app/wap/statics/js/mobile.min.js     |  4 ++--
 app/wap/view/submit_loading_div.html |  2 +-
 4 files changed, 45 insertions(+), 7 deletions(-)

commit 539e15eddaee943dec1cfd464cef532d66ce181d
Date:   Wed Jun 21 11:01:16 2017 +0800

    (新增$bill_type业务类型)基础物料对应的店铺冻结重新计算脚本 jira:DDGL-693

 script/update/script/recount_basic_material_stock_freeze.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9d2cb699e3a2374e7880009e6a86e9131cb89ed4
Date:   Tue Jun 20 16:27:35 2017 +0800

    重新计算冻结加上转储出库 类型  SAASOMS-130

 app/console/view/admin/stock/freeze.html | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit 74f0bf614a6fe92ab50631b03fd09e4060450d27
Date:   Tue Jun 20 10:39:05 2017 +0800

    后台添加或编辑管理页面_授权仓库多于7条时无法全部显示 jira:SAASOMS-201

 app/desktop/view/users/users_add.html    | 2 +-
 app/desktop/view/users/users_detail.html | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 66cf059cf7d5fd5641b2bcba8652858ab1e5217a
Date:   Mon Jun 19 16:59:45 2017 +0800

    重新计算冻结加上"调拨出库"类型  SAASOMS-130

 app/console/controller/admin/stock.php | 2 +-
 app/console/lib/storefreeze.php        | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit ad6d47d5fceb78d6a34750ebd3435cf3b40b3342
Date:   Mon Jun 19 16:28:31 2017 +0800

    微盟旺铺

 .../lib/shop/matrix/weimob/response/order.php      | 41 ++++++++++++++++++++++
 app/erpapi/lib/shop/whitelist.php                  |  4 +--
 2 files changed, 43 insertions(+), 2 deletions(-)

commit 1c83f6398f16849e1b6d272a1c107d449b685c80
Date:   Mon Jun 19 16:27:15 2017 +0800

    微盟旺铺

 app/ome/lib/event/trigger/shop/data/delivery/weimob.php | 11 +++++++++++
 app/ome/lib/shop/type.php                               |  8 ++++----
 2 files changed, 15 insertions(+), 4 deletions(-)

commit 3049a318c793aa9af560c02b208458d006c7edc8
Date:   Fri Jun 16 17:35:29 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/ome/lib/store/manage/store.php | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 698d74858a582c80efd80bed330c345aac5ad191
Date:   Fri Jun 16 16:41:20 2017 +0800

    优化wap端样式：订单，退换货单发起操作是加上了中间loading的状态。

 app/wap/view/aftersale/change_product.html |  9 +++++++--
 app/wap/view/aftersale/return_product.html |  8 ++++++--
 app/wap/view/order/order_list.html         | 11 ++++++++---
 app/wap/view/submit_loading_div.html       |  3 +++
 4 files changed, 24 insertions(+), 7 deletions(-)

commit 449fc6b701ade5d1d973e77dd29a1cc4720b6f38
Merge: fed47f8 f47fae3
Date:   Fri Jun 16 15:46:21 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit fed47f8c0b5c2c39fae5cd64e0424f1277def6d3
Date:   Fri Jun 16 15:46:09 2017 +0800

    脚本_刷仓库预占流水记录 jira:SAASOMS-165

 script/update/script/batchMaterialStockFreeze.php | 31 ++++++++++++++++++++---
 1 file changed, 27 insertions(+), 4 deletions(-)

commit f47fae36307b4c53c44a3330b3032f1a2e6e10ca
Date:   Fri Jun 16 15:38:52 2017 +0800

    优化wap端样式：去除js原生confirm的判断操作，替换为有样式的popup显示展示。

 app/wap/view/aftersale/change_product.html      | 136 +++++++-----
 app/wap/view/aftersale/change_product_more.html |   2 +-
 app/wap/view/aftersale/return_product.html      | 135 +++++++-----
 app/wap/view/aftersale/return_product_more.html |   2 +-
 app/wap/view/order/order_list.html              | 263 ++++++++++++------------
 app/wap/view/order/order_list_more.html         |   4 +-
 6 files changed, 305 insertions(+), 237 deletions(-)

commit 2f40feb01c217a7690592f37c0d3815400b2c336
Date:   Fri Jun 16 14:55:29 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/wap/controller/store.php | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit da3092722d43c28df5da02e94f90a9fe9951541d
Merge: 1279d10 4440388
Date:   Fri Jun 16 14:53:08 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 1279d10e92d8b427e5e261740652c56c2c123f86
Date:   Fri Jun 16 14:51:36 2017 +0800

    脚本_刷仓库预占流水记录 jira:SAASOMS-165

 script/update/script/batchMaterialStockFreeze.php | 54 ++++++++++++++++++++++-
 1 file changed, 52 insertions(+), 2 deletions(-)

commit 5f7082b057049f1a18aab3eb407cd90caf861305
Date:   Fri Jun 16 14:50:22 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/wms/controller/admin/stock.php    |  2 +-
 app/wms/lib/finder/basic/material.php |  4 ++--
 app/wms/lib/finder/branch/product.php | 12 ++++++++++++
 app/wms/lib/finder/products.php       |  8 ++++++--
 app/wms/lib/receipt/material.php      | 36 +++++++++++++++++++++++++++++++++++
 app/wms/lib/receipt/products.php      |  6 ++++++
 app/wms/lib/stock.php                 |  2 +-
 app/wms/lib/stockdump.php             | 11 +++++++++++
 app/wms/model/basic/material.php      |  5 ++++-
 app/wms/model/branch/product.php      |  6 ++++++
 10 files changed, 85 insertions(+), 7 deletions(-)

commit b584f6db03ba155b793a9a6f573fb092a4fea2f1
Date:   Fri Jun 16 14:47:58 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/purchase/controller/admin/purchase.php  | 11 +++-------
 app/purchase/lib/purchase/auto/stockout.php |  5 +++++
 app/purchase/lib/purchase/pick.php          |  4 ++++
 app/purchase/lib/purchase/stockout.php      | 32 ++++++++++++++++++++++++-----
 4 files changed, 39 insertions(+), 13 deletions(-)

commit f648ae2a3bccef6dcb26eb314a3374efd76e485a
Date:   Fri Jun 16 14:46:59 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/openapi/lib/data/original/basicmaterial.php  | 8 +++++++-
 app/openapi/lib/data/original/purchasereturn.php | 7 +++++++
 app/openapi/lib/data/original/salesmaterial.php  | 8 +++++++-
 app/openapi/lib/data/original/stock.php          | 9 ++++++++-
 4 files changed, 29 insertions(+), 3 deletions(-)

commit 06120a2fc5a93e19c0d2c4d388e2bd5f31060bb9
Date:   Fri Jun 16 14:46:04 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/omeauto/lib/auto/group/item.php   |  6 ++---
 app/omeauto/lib/auto/plugin/store.php | 43 +++++++++++++++++++++++++++++++----
 2 files changed, 42 insertions(+), 7 deletions(-)

commit 1dc5a8038a72c0ae0fcb62d4a87ceda483588cbc
Date:   Fri Jun 16 14:45:16 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/ome/controller/admin/order.php     |  15 +-
 app/ome/controller/admin/stock.php     |  10 +-
 app/ome/dbschema/branch_product.php    |   4 +-
 app/ome/lib/batch/order.php            |  34 +-
 app/ome/lib/branch/product.php         |  26 +-
 app/ome/lib/store/manage.php           |   9 +
 app/ome/lib/store/manage/branch.php    | 614 +++++++++++++++++++++++++++++----
 app/ome/lib/store/manage/interface.php |  30 ++
 app/ome/lib/store/manage/store.php     | 132 ++++++-
 app/ome/lib/sync/product.php           |  36 +-
 app/ome/model/branch/product.php       |   6 +
 app/ome/model/order/lack.php           |  49 ++-
 app/ome/model/order/retrial.php        |  49 ++-
 app/ome/model/orders.php               |   4 +-
 14 files changed, 895 insertions(+), 123 deletions(-)

commit d5645e6d5bcc3aeb803b9d0cc2ff09dfabe604b5
Date:   Fri Jun 16 14:40:05 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/o2o/dbschema/product_store.php   |  4 ++--
 app/o2o/lib/branch/product.php       |  4 ++++
 app/o2o/lib/finder/product/store.php | 15 ++++++++++++++-
 app/o2o/lib/return.php               |  7 +++++++
 4 files changed, 27 insertions(+), 3 deletions(-)

commit 348410e9a1a8f09c4ff89a17d18ad72ceceb420a
Date:   Fri Jun 16 14:38:36 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/material/controller/admin/barcode.php          |   5 +
 .../dbschema/basic_material_stock_freeze.php       |  23 +++
 app/material/lib/basic/check.php                   |   5 +
 app/material/lib/basic/material.php                |  10 +-
 app/material/lib/basic/material/stock/freeze.php   | 171 ++++++++++++++++++---
 app/material/lib/basic/select.php                  |   6 +-
 app/material/lib/sales/material.php                |   2 +
 app/material/lib/sales/material/stock.php          |   5 +
 8 files changed, 206 insertions(+), 21 deletions(-)

commit dd4754d229222e8765aac20320ba02d1530bb725
Date:   Fri Jun 16 14:36:23 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/iostock/lib/stock.php | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 1c361bba6aef58ba120ce6e70eedcb91ab12ad18
Date:   Fri Jun 16 14:35:15 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/inventorydepth/lib/stock/pkg.php      |  6 +++++-
 app/inventorydepth/lib/stock/products.php | 16 ++++++++++++++++
 2 files changed, 21 insertions(+), 1 deletion(-)

commit 7207c8bfe639397a5d6094b3e510c55a87dd2289
Date:   Fri Jun 16 14:34:21 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/customs/model/orders.php | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit f642d1bce0fb8936b1105af7651ebe85b64a01cd
Date:   Fri Jun 16 14:33:27 2017 +0800

    仓库预占流水记录和统一读取库存预占  jira:SAASOMS-165

 app/console/controller/admin/adjustNumber.php      |  15 ++
 app/console/controller/admin/appropriation.php     |   9 +-
 app/console/controller/admin/iostockorder.php      |  21 ++-
 app/console/controller/admin/returned/purchase.php |  41 ++++--
 app/console/controller/admin/stock/freeze.php      | 111 ++++++++++++++
 app/console/desktop.xml                            |   6 +
 app/console/lib/finder/basic/material.php          |  37 ++++-
 .../lib/finder/basic/material/stock/freeze.php     | 153 +++++++++++++++++++
 app/console/lib/finder/branch/product.php          |  12 ++
 .../extend/filter/basic/material/stock/freeze.php  |  51 +++++++
 app/console/lib/finder/products.php                |  39 ++++-
 app/console/lib/receipt/purchasereturn.php         |  35 ++++-
 app/console/lib/receipt/stock.php                  |  42 ++++--
 app/console/lib/receipt/stockdump.php              |  44 ++++--
 app/console/lib/receipt/vopstock.php               |  33 ++++-
 app/console/lib/stock/products.php                 |   2 +
 app/console/lib/stock/stock.php                    |  38 +++--
 app/console/lib/storefreeze.php                    |  15 +-
 app/console/model/adjustNumber.php                 |   4 +
 app/console/model/basic/material/stock/freeze.php  |  41 ++++++
 app/console/model/interface/iostocksearchs.php     |   5 +
 app/console/model/stockdump.php                    |  20 ++-
 app/console/services.xml                           |   6 +
 .../view/admin/finder/stock_freeze_top_filter.html | 164 +++++++++++++++++++++
 app/material/model/basic/material/stock/freeze.php |   8 +
 25 files changed, 870 insertions(+), 82 deletions(-)

commit 44403885c60c40d365c6300b6376ebe6bec65d41
Date:   Fri Jun 16 11:03:18 2017 +0800

    优化wap端样式：调整订单的拒单、接单、确认收货完成时的显示方式。

 app/wap/view/order/order_list.html | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1bca9ce43d9f4e98a3b0cfa8e86a90fc956e3008
Date:   Thu Jun 15 17:43:24 2017 +0800

    优化wap端样式：更新样式css、fonts新换门店换货、退货的icon。

 app/wap/controller/store.php       |   4 +-
 app/wap/statics/css/main.css       |  11 +-
 app/wap/statics/css/main.min.css   |   2 +-
 app/wap/statics/css/mobile.css     | 287 ++++++++++-------------------
 app/wap/statics/css/mobile.min.css |   2 +-
 app/wap/statics/fonts/icons.svg    | 358 +++++++------------------------------
 app/wap/statics/fonts/icons.ttf    | Bin 15592 -> 8048 bytes
 app/wap/statics/fonts/icons.woff   | Bin 9928 -> 5284 bytes
 8 files changed, 173 insertions(+), 491 deletions(-)

commit af65f59967a93344a239029f21ce5992f0b0bf6b
Merge: 8e7156e ab98bba
Date:   Thu Jun 15 17:07:09 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit ab98bbab7fc2d74162858e72c97f6d4c9ad53e7a
Date:   Thu Jun 15 14:51:14 2017 +0800

    优化wap端样式：调整订单页面操作按钮显示条件。

 app/wap/controller/order.php            | 8 ++++----
 app/wap/lib/delivery.php                | 7 ++++++-
 app/wap/view/order/order_list_more.html | 6 +++---
 3 files changed, 13 insertions(+), 8 deletions(-)

commit a98c8b403755e65912776df91479743299c25991
Date:   Thu Jun 15 11:29:38 2017 +0800

    新增售后支持门店仓：调整换货时退入和换出仓库列表的显示，以及支持门店履约订单退入仓是电商仓的情况下，换出仓可以是门店或者电商仓。

 app/o2o/lib/return.php                             | 50 ++++++++++++++++------
 app/ome/controller/admin/return/rchange.php        | 50 +++++++++++++---------
 .../view/admin/return_product/rchange/rchange.html |  8 +++-
 3 files changed, 73 insertions(+), 35 deletions(-)

commit d0aba002366d2578c186e428036c9aa0502858fb
Date:   Wed Jun 14 16:42:08 2017 +0800

    新增售后支持门店仓：调整wap端退换换货入口页面。

 app/wap/lib/controller.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8179baa44a42e350078ebcad587374f94a6cdb33
Date:   Wed Jun 14 16:35:49 2017 +0800

    调整桌面展示内容的部署样式

 app/desktop/view/dashboard.html | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f0bfe8fec420eedfea35e56a8462344028c1985e
Merge: 53ffe7f c4231da
Date:   Wed Jun 14 14:39:26 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 53ffe7fdb1d49f6e74175072dd46294a0bacc8a0
Date:   Wed Jun 14 14:38:37 2017 +0800

    优化OMS后台登陆的桌面展示内容

 app/base/lib/ego/ego.php | 7 -------
 1 file changed, 7 deletions(-)

commit c4231dae1d7e8377df900a93b0e4b4e2e75c202c
Date:   Wed Jun 14 14:22:48 2017 +0800

    新增售后支持门店仓：退换货涉及售后申请单的更新是否收货和质检字段。

 app/wap/controller/aftersale/changeproduct.php | 4 ++--
 app/wap/controller/aftersale/returnproduct.php | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 4f8988f17672fd3b320c241db87ee03ca10e1a3a
Merge: 484ca9b 41ce2be
Date:   Wed Jun 14 14:09:48 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 484ca9bf692d13101d6369b1ef564c85843e06f1
Date:   Wed Jun 14 14:08:48 2017 +0800

    优化OMS后台登陆的桌面展示内容

 app/base/lib/ego/ego.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 41ce2bee28ea092a6722a77b1ff4a8bcf8dc03f2
Date:   Wed Jun 14 11:21:09 2017 +0800

    兼容自建仓储--库存总览栏目中显示商品信息时，没有显示基础物料信息

 app/wms/lib/receipt/material.php | 2 ++
 1 file changed, 2 insertions(+)

commit 55cb58525e1f2f48bd3660d1f8dc7e3772ff2a64
Date:   Wed Jun 14 11:16:17 2017 +0800

    新建出库单页面时过滤掉“唯品会出库”的出库类型

 app/ome/lib/iostock.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9456310a97170d7d4d2f418ae35686c01b5d4592
Date:   Wed Jun 14 10:13:19 2017 +0800

    优化OMS后台登陆的桌面展示内容

 app/base/lib/ego/ego.php | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit f8f77615295488748657b102bbbf5e172ae81701
Date:   Wed Jun 14 09:54:30 2017 +0800

    优化OMS后台登陆的桌面展示内容

 app/base/lib/authcode.php                      |   9 +++
 app/base/lib/ego/ego.php                       | 102 +++++++++++++++++++++++++
 app/desktop/controller/dashboard.php           |   2 +-
 app/desktop/statics/css/default/style.css      |   8 ++
 app/desktop/statics/css/default/style_min.css  |   2 +-
 app/desktop/view/dashboard.html                |  81 ++------------------
 app/ome/desktop.xml                            |   3 +
 app/ome/lib/desktop/widgets/greenchannel.php   |  33 ++++++++
 app/ome/lib/desktop/widgets/productinfo.php    |  75 ++++++++++++++++++
 app/ome/lib/desktop/widgets/waittask.php       |   4 +-
 app/ome/services.xml                           |   2 +
 app/ome/statics/greenchannel.png               | Bin 0 -> 734 bytes
 app/ome/view/desktop/widgets/greenchannel.html |  14 ++++
 app/ome/view/desktop/widgets/productinfo.html  |  15 ++++
 14 files changed, 272 insertions(+), 78 deletions(-)

commit f7e9e73e30416932243a736131454e70a24f676f
Date:   Tue Jun 13 17:44:04 2017 +0800

    退货单回传过滤掉线下仓库（没有回传退换单业务 直接门店操作）

 app/omevirtualwms/model/reship.php | 23 +++++++++++++++++++++--
 1 file changed, 21 insertions(+), 2 deletions(-)

commit 29f3d810d7c72694caa7c95546d1ca33b9f6cec0
Date:   Tue Jun 13 16:27:39 2017 +0800

    售后代码整理：拉掉无用的电商仓预占库存方法。

 app/console/lib/reship.php | 24 ------------------------
 1 file changed, 24 deletions(-)

commit 129b68f119b436688d85fa39e4483f27f6412d0f
Date:   Tue Jun 13 16:22:33 2017 +0800

    PHP5.6兼容：售后最终收货报warning。

 app/ome/model/reship.php | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit c1f8ade1bd0676ce9c26929458a4f6581adb90c0
Date:   Mon Jun 12 18:40:03 2017 +0800

    库存管控代码优化：换货单“最终收货”确认由换货变为退货预占释放。

 app/ome/lib/store/manage.php        |  3 ++-
 app/ome/lib/store/manage/branch.php | 16 ++++++++++++++++
 app/ome/lib/store/manage/store.php  |  7 +++++++
 app/ome/model/reship.php            | 18 +++++++++---------
 4 files changed, 34 insertions(+), 10 deletions(-)

commit aff273ba2cecfa292799c46d6d3bd77d26cdf62e
Date:   Mon Jun 12 17:47:35 2017 +0800

    库存管控代码优化：退换货单回传取消操作预占释放，以及代码优化。

 app/console/lib/event/receive/reship.php    | 12 +-------
 app/console/lib/receipt/reship.php          | 48 ++++++++++-------------------
 app/ome/controller/admin/return/rchange.php |  2 +-
 app/ome/lib/store/manage.php                |  1 +
 app/ome/lib/store/manage/branch.php         | 16 ++++++++++
 app/ome/lib/store/manage/store.php          |  7 +++++
 6 files changed, 42 insertions(+), 44 deletions(-)

commit 26b25b82b1f24e346b462c94e4d86285c4d21552
Date:   Mon Jun 12 11:31:59 2017 +0800

    售后代码整理：根据finder的is_check操作按钮显示条件，do_cancel方法拉掉不可能走到的库存预占释放代码。

 app/ome/controller/admin/return/rchange.php | 9 ---------
 1 file changed, 9 deletions(-)

commit 330cdb9ff297b78c37590a5090fdccef842fa811
Date:   Fri Jun 9 18:00:25 2017 +0800

    售后代码整理：退换货单。

 app/ome/controller/admin/return/rchange.php | 339 ++++++----------------------
 app/ome/lib/finder/reship.php               |  53 +----
 2 files changed, 74 insertions(+), 318 deletions(-)

commit 9b9bfb4e97a32faf613fe1d31ebd2aae229b0014
Date:   Fri Jun 9 16:38:07 2017 +0800

    售后代码整理：质检单据。

 app/wms/controller/admin/return/rchange.php | 2 ++
 1 file changed, 2 insertions(+)

commit 2790efbc16e490ac5d6bb234a71046787b6a8225
Date:   Fri Jun 9 16:30:02 2017 +0800

    售后代码整理：质检单据。

 app/wms/controller/admin/return/rchange.php | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit 76bc9bd28b17c5fe547a4b706d66519efd8595ab
Date:   Fri Jun 9 15:26:28 2017 +0800

    修复新建角色新增时桌面挂件名不显示的问题。

 app/desktop/view/users/add_roles.html | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 65909551705aa2f52e846379bf2eb612a7b3dc1b
Date:   Fri Jun 9 15:00:07 2017 +0800

    售后代码整理：退款申请单。

 app/ome/controller/admin/return/refund/apply.php | 138 ++++-------------------
 app/ome/lib/finder/refund/apply.php              |  84 ++++----------
 app/ome/model/refund/apply.php                   |  39 ++-----
 3 files changed, 51 insertions(+), 210 deletions(-)

commit b687ba96c782d640e99e731a76fe1dd981285045
Date:   Fri Jun 9 14:20:56 2017 +0800

    文件存在时才include

 app/base/defined.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f0b7db7679e745384935c1bee54687b7397fcb1
Date:   Fri Jun 9 11:59:56 2017 +0800

    售后代码整理：失败列表。

 app/ome/controller/admin/return/fail.php | 22 +++-------------------
 app/ome/lib/finder/return/fail.php       |  1 -
 app/ome/model/return/fail.php            |  1 -
 3 files changed, 3 insertions(+), 21 deletions(-)

commit d675ebc816880dc1910f9bd1304adb9ee9db927b
Date:   Fri Jun 9 11:34:16 2017 +0800

    售后代码整理：售后申请。

 app/ome/controller/admin/return.php                | 10 +++---
 app/ome/lib/finder/return/product.php              |  4 +--
 app/ome/view/admin/return_product/detail.html      |  7 ----
 .../return_product/plugin/refuse_message.html      | 41 ++++++++++------------
 4 files changed, 24 insertions(+), 38 deletions(-)

commit 4fa8da657f67e211ed0a62cc96ddeec96727420d
Date:   Thu Jun 8 10:05:45 2017 +0800

    库存管控代码优化：wap端确认换货货实际库存处理。

 app/o2o/lib/return.php                         | 49 --------------------------
 app/ome/lib/store/manage/store.php             | 18 ++++++++--
 app/wap/controller/aftersale/changeproduct.php | 16 +++++++--
 3 files changed, 30 insertions(+), 53 deletions(-)

commit c1c2c77101affa6791bacfc5b67960c04f46b26d
Date:   Wed Jun 7 18:36:38 2017 +0800

    单据报表"仓库发货统计"列表中售后的单据明细没有获取到基础物料的品牌和类型  jira:DDGL-965

 app/omeanalysts/model/ome/branchdelivery.php | 86 ++++------------------------
 1 file changed, 12 insertions(+), 74 deletions(-)

commit a766dd920825a425ebd6f532ec6b0da8e5ab23d8
Date:   Wed Jun 7 17:29:55 2017 +0800

    库存管控代码优化：wap端确认退货实际库存退入。

 app/ome/lib/store/manage/store.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 16582400323722279f5d70a3ddd47163f41cc948
Date:   Wed Jun 7 17:07:18 2017 +0800

    库存管控代码优化：wap端确认退货实际库存退入。

 app/ome/lib/store/manage/store.php             | 34 ++++++++++++++++++++++++++
 app/wap/controller/aftersale/returnproduct.php | 10 ++++++--
 2 files changed, 42 insertions(+), 2 deletions(-)

commit bb92659437e9e04b7b8cf18e59d3213b6aa279aa
Date:   Wed Jun 7 16:47:53 2017 +0800

    库存管控代码优化：oms端收货质检的确认收货实际库存增加及预占释放。

 app/ome/lib/store/manage/branch.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ed800ef97970f19519d0c142319335a02b81c8a8
Date:   Wed Jun 7 16:44:36 2017 +0800

    库存管控代码优化：oms端收货质检的确认收货实际库存增加及预占释放。

 app/ome/controller/admin/return/sv.php | 15 +++++++++++----
 app/ome/lib/store/manage.php           |  4 +++-
 app/ome/lib/store/manage/branch.php    | 28 +++++++++++++++++++++++++++-
 app/ome/lib/store/manage/store.php     |  2 +-
 app/ome/model/reship.php               |  9 ++++++++-
 5 files changed, 50 insertions(+), 8 deletions(-)

commit 8e7156e84cd7114721a58b6dd7bdc80dcb8d5edf
Date:   Wed Jun 7 16:02:17 2017 +0800

    批量添加预占冻结库存流水记录脚本

 script/update/script/batchMaterialStockFreeze.php | 280 ++++++++++++++++++++++
 1 file changed, 280 insertions(+)

commit bb7dc084546b79454304376d0d0218d05cf57e98
Date:   Wed Jun 7 15:50:43 2017 +0800

    新建转储单页面中加载的仓库列表过滤掉门店仓 jira:DDGL-964

 app/console/controller/admin/stockdump.php | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit b4d55af58b0ebe2e0164adcab8416e62493aa5c6
Date:   Wed Jun 7 14:58:29 2017 +0800

    库存管控代码优化：整理之前代码。

 app/ome/controller/admin/return/rchange.php    | 2 +-
 app/ome/controller/admin/return/sv.php         | 2 +-
 app/ome/lib/store/manage.php                   | 4 ++--
 app/ome/lib/store/manage/branch.php            | 4 ++--
 app/ome/lib/store/manage/store.php             | 4 ++--
 app/wap/controller/aftersale/changeproduct.php | 2 +-
 6 files changed, 9 insertions(+), 9 deletions(-)

commit 2ff48d6ce0f61095115d3c9a258333facd354622
Date:   Tue Jun 6 15:24:46 2017 +0800

    物料版(部分拆分-部分发货)后，编辑订单删除赠品时JS报错  jira:DDGL-963

 app/ome/view/admin/order/edit/gift_edit.html | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 5a771d5ea94d35ff099d7d94e4d00cd99c4cb828
Date:   Tue Jun 6 11:57:00 2017 +0800

    库存管控代码优化：售后换货单审核预占和拒绝换货单库存释放。

 app/o2o/lib/return.php                         |  2 +-
 app/ome/controller/admin/return/rchange.php    |  2 +-
 app/ome/controller/admin/return/sv.php         | 10 ++++-
 app/ome/lib/store/manage.php                   |  3 +-
 app/ome/lib/store/manage/branch.php            | 16 +++++++
 app/ome/lib/store/manage/store.php             | 58 +++++++++++++++++++-------
 app/wap/controller/aftersale/changeproduct.php | 12 ++++--
 7 files changed, 81 insertions(+), 22 deletions(-)

commit 3da5b1892ebcefaf2e7904a335363d7e0882f586
Date:   Tue Jun 6 11:10:49 2017 +0800

    拉掉不用的家装订单发货配置

 app/ome/lib/system/setting.php                   | 2 +-
 app/ome/view/admin/system/setting/tab_order.html | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit be2d5d6fe567063292cd46c3b1c95832e9a9faa6
Date:   Mon Jun 5 17:50:39 2017 +0800

    库存管控代码优化：售后换货审核预占。

 app/ome/controller/admin/return/rchange.php | 13 ++++++++-----
 app/ome/lib/store/manage.php                |  1 +
 app/ome/lib/store/manage/branch.php         | 17 +++++++++++++++++
 app/ome/lib/store/manage/store.php          | 25 +++++++++++++++++++++++++
 4 files changed, 51 insertions(+), 5 deletions(-)

commit 65b63ac5c2babffffc2c6cd8b74f10bcf2a5c625
Date:   Mon Jun 5 15:09:39 2017 +0800

    京东风控

 app/base/lib/hchsafe.php | 53 ++++++++----------------------------------------
 1 file changed, 9 insertions(+), 44 deletions(-)

commit 13d5689fe17d84c60e39ca9ab1f130ec8218244f
Merge: fa3ec84 b2c3cc2
Date:   Mon Jun 5 15:07:27 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit fa3ec8450592479ac3765c82d09c600f3a75e17b
Date:   Mon Jun 5 15:06:52 2017 +0800

    京东风控

 app/wms/controller/admin/receipts/print.php | 26 ++++++++++++++++++++++----
 app/wms/lib/delivery/print.php              |  3 +++
 2 files changed, 25 insertions(+), 4 deletions(-)

commit d5385b461c22e1c324b07ecd0d974b4184bf22eb
Date:   Mon Jun 5 15:03:27 2017 +0800

    京东登录风控

 app/erpapi/lib/apiname.php                         |   2 +
 app/erpapi/lib/channel/hchsafe.php                 |   2 +-
 .../lib/hchsafe/matrix/360buy/request/hchsafe.php  | 129 ++++++++++-----------
 .../lib/hchsafe/matrix/taobao/request/hchsafe.php  |  34 ------
 app/erpapi/lib/hchsafe/request/hchsafe.php         |  36 ++++++
 5 files changed, 99 insertions(+), 104 deletions(-)

commit b2c3cc2cc0aed7f3e6ff0e3422a4b26c150c1c83
Date:   Mon Jun 5 15:01:45 2017 +0800

    新增售后支持门店仓：修改换货列表页显示规则和优化了显示格式。

 app/wap/controller/aftersale/changeproduct.php  | 13 +++++++++++++
 app/wap/view/aftersale/change_product_more.html |  2 ++
 app/wap/view/aftersale/return_product_more.html |  2 ++
 3 files changed, 17 insertions(+)

commit a6a6a72974a898a94eb00150b7a470ab998f2228
Date:   Mon Jun 5 14:57:06 2017 +0800

    贝贝切出galaxy

 app/erpapi/lib/channel/shop.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ee5cb60e87ca617d50cb4f8dc2e136e97fcfdb6
Merge: a358c6c 3b179e4
Date:   Mon Jun 5 14:56:20 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 3b179e4fa14f2494f8739a81c55db942b97616fc
Date:   Mon Jun 5 14:10:23 2017 +0800

    新增售后支持门店仓：wap端确认退换货流程添加换货订单生成发货单、接单、发货的流程。

 app/wap/controller/aftersale/changeproduct.php |  2 +-
 app/wap/dbschema/delivery.php                  |  7 +++
 app/wap/lib/aftersale.php                      | 62 ++++++++++++++++++++++++--
 3 files changed, 67 insertions(+), 4 deletions(-)

commit 1ac2fd9a04191e8e1c162c6774f07d4703dfb22b
Date:   Mon Jun 5 11:43:18 2017 +0800

    优化基础物料冻结预占流水_调用方法中加入bill_type参数  jira:SAASOMS-176

 app/ome/lib/preprocess/tbgift.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7cb5a400c3df66d6496b7236fa28444cc3fe6528
Date:   Mon Jun 5 11:42:56 2017 +0800

    整合订单暂停、恢复、打回发货单的处理函数,支持拆单时订单对应多个发货单的场景  jira:DDGL-957

 app/ome/lib/order/split.php |   9 +
 app/ome/model/delivery.php  |  11 +-
 app/ome/model/orders.php    | 996 +++++++++++++++++++++++++++-----------------
 3 files changed, 627 insertions(+), 389 deletions(-)

commit 2c660db6956186a087729db1c00c7362b0dfc3ea
Date:   Mon Jun 5 11:41:51 2017 +0800

    优化基础物料冻结预占流水_调用方法中加入bill_type参数  jira:SAASOMS-176

 .../lib/response/order/component/items.php         | 10 ++++----
 .../lib/response/order/component/items360buy.php   | 10 ++++----
 .../lib/response/order/component/itemstb.php       | 10 ++++----
 .../lib/response/order/component/itemstbfx.php     | 10 ++++----
 .../lib/response/order/component/itemstfxv.php     | 10 ++++----
 .../lib/response/order/component/shopexitems.php   | 10 ++++----
 .../lib/shop/response/components/order/items.php   | 10 ++++----
 .../dbschema/basic_material_stock_freeze.php       | 20 +++++++++++++++
 app/material/lib/basic/material/stock/freeze.php   | 30 ++++++++++++++++------
 app/o2o/lib/return.php                             |  4 +--
 app/ome/lib/order.php                              |  2 +-
 app/ome/lib/order/edit/gift.php                    | 12 ++++-----
 app/ome/lib/order/edit/goods.php                   | 12 ++++-----
 app/ome/lib/order/edit/pkg.php                     | 12 ++++-----
 app/ome/lib/order/fail.php                         |  4 +--
 app/ome/lib/order/order.php                        |  2 +-
 app/ome/lib/preprocess/crm.php                     |  2 +-
 app/ome/lib/store/manage/branch.php                |  6 ++---
 app/ome/lib/store/manage/store.php                 | 18 ++++++-------
 19 files changed, 114 insertions(+), 80 deletions(-)

commit 5dde170967c2b15eefa22680e8ded6c075095615
Date:   Fri Jun 2 18:27:35 2017 +0800

    新增售后支持门店仓：wap端确认退换货按钮防止重复点击。

 app/wap/view/aftersale/change_product.html      | 1 +
 app/wap/view/aftersale/change_product_more.html | 2 +-
 app/wap/view/aftersale/return_product.html      | 1 +
 app/wap/view/aftersale/return_product_more.html | 2 +-
 4 files changed, 4 insertions(+), 2 deletions(-)

commit 07542c2ba3f850d095ca83c5694a5dcd41a1f670
Date:   Fri Jun 2 18:07:16 2017 +0800

    新增售后支持门店仓：新增wap端确认换货功能，后续加上换货订单审单和发货的流程。

 app/ome/model/reship.php                        |  15 +--
 app/wap/controller/aftersale/changeproduct.php  | 123 +++++++++++++++++++++++-
 app/wap/lib/aftersale.php                       |  31 ++++++
 app/wap/view/aftersale/change_product.html      |  25 +++++
 app/wap/view/aftersale/change_product_more.html |   1 +
 5 files changed, 180 insertions(+), 15 deletions(-)

commit 71166d42cdde11fd261a43aec9fd651c92ee5306
Date:   Fri Jun 2 15:20:34 2017 +0800

    售后代码整理：售后质检代码调整。

 app/ome/model/reship.php                       | 8 +++++---
 app/wap/controller/aftersale/returnproduct.php | 2 +-
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 61e2df13d4e0aafd4bf292da77170654c5a2a237
Date:   Fri Jun 2 11:39:00 2017 +0800

    售后代码整理：售后质检代码调整。

 app/ome/model/reship.php                       | 51 ++++++++++----------------
 app/wap/controller/aftersale/returnproduct.php |  1 +
 2 files changed, 20 insertions(+), 32 deletions(-)

commit a62b3b838e81639e69211106a2f0a69b33a8f355
Merge: e2dbd0c b537df2
Date:   Fri Jun 2 10:49:50 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit e2dbd0c9834b33b4085e5623201cfe96b735425d
Date:   Fri Jun 2 10:49:18 2017 +0800

    PHP5.6兼容：hqeapy报数组格式非法的warning。

 app/erpapi/lib/hqepay/request/hqepay.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a358c6cd627a80e19b6fe1cfb7cfaf4af8ed35e1
Merge: b16062f b537df2
Date:   Fri Jun 2 10:10:15 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit b537df2c8c75b9048996a2a821a56017fb0c5333
Date:   Thu Jun 1 17:35:59 2017 +0800

    人工审单判断是否允许生成发货单的节点增加防并发的检测机制

 app/omeauto/lib/auto/group/item.php | 9 +++++++++
 1 file changed, 9 insertions(+)

commit b16062f8cb2938b0f505b1a09ef3580c4f5998ca
Date:   Thu Jun 1 17:29:55 2017 +0800

    屏敝批量审单

 app/ome/controller/admin/order.php | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 020d5b5145ebf2f286e3585adb5d9e585f245b9a
Date:   Thu Jun 1 17:29:00 2017 +0800

    新增售后支持门店仓：oms端售后质检收货和wap端确认退货的代码优化。

 app/o2o/lib/return.php                         | 40 -------------------
 app/ome/model/reship.php                       | 55 ++++++++------------------
 app/wap/controller/aftersale/returnproduct.php | 48 +++++++++++-----------
 3 files changed, 41 insertions(+), 102 deletions(-)

commit fa88a772035a221d70ea3e707ca5fdffb28ba229
Date:   Thu Jun 1 12:02:21 2017 +0800

    售后代码整理：售后质检代码调整。

 app/ome/model/reship.php | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d6aab32e62cb0a83c1b81a2528cb7f5260a01d9b
Date:   Thu Jun 1 10:38:35 2017 +0800

    新增售后支持门店仓：新增wap端确认退货功能。

 app/o2o/lib/return.php                          | 90 +++++++++++++++++++++++-
 app/ome/dbschema/reship_items.php               |  7 ++
 app/wap/controller/aftersale/returnproduct.php  | 92 +++++++++++++++++++++++++
 app/wap/lib/receipt/reship.php                  |  2 +-
 app/wap/view/aftersale/return_product.html      | 25 +++++++
 app/wap/view/aftersale/return_product_more.html |  1 +
 6 files changed, 215 insertions(+), 2 deletions(-)

commit c722571508cd76dc7abbd49ca2e9164325fe3155
Date:   Wed May 31 17:40:08 2017 +0800

    售后代码整理：质检收货代码整理。

 app/ome/model/reship.php | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit cab6bfe170e8f31ea29ccdb4bfbc68aa9615b308
Date:   Wed May 31 15:41:36 2017 +0800

    订单可合并标识的标记生成与更新逻辑优化

 .../shop/response/components/order/combinehash.php | 21 ++++++++
 app/erpapi/lib/shop/response/order.php             |  2 +-
 app/ome/controller/admin/order.php                 | 11 +++-
 app/ome/lib/order.php                              | 60 ++++++++++++++++++++++
 app/omeauto/lib/auto/combine.php                   |  8 ++-
 5 files changed, 98 insertions(+), 4 deletions(-)

commit 531f2e491c932dfd411bb9be9007fc9ff5ff2a37
Date:   Wed May 31 10:33:30 2017 +0800

    新增售后支持门店仓：新增wap端换货拒绝功能。

 app/wap/controller/aftersale/changeproduct.php  | 41 +++++++++++++++++
 app/wap/view/aftersale/change_product.html      | 61 +++++++++++++++++++++++++
 app/wap/view/aftersale/change_product_more.html |  7 ++-
 app/wap/view/aftersale/return_product.html      | 43 ++++++++---------
 4 files changed, 128 insertions(+), 24 deletions(-)

commit 9ac91a7f6fd7f5ae621391f57a0f5f6743fcee1e
Date:   Sat May 27 18:02:20 2017 +0800

    分派并发限制

 app/ome/controller/admin/order.php | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 99860ebfb09b702a1cedf9879da0805e35f55162
Date:   Sat May 27 17:59:00 2017 +0800

    新增售后支持门店仓：新增wap端退货拒绝功能。

 app/wap/controller/aftersale/returnproduct.php  | 39 +++++++++++++++
 app/wap/view/aftersale/return_product.html      | 64 +++++++++++++++++++++++++
 app/wap/view/aftersale/return_product_more.html |  8 +++-
 3 files changed, 109 insertions(+), 2 deletions(-)

commit a0e0acf6fc76d837b4ffb08c3243fc2888c54629
Date:   Sat May 27 15:10:41 2017 +0800

    新增售后支持门店仓：新增wap端退换货页面展示、搜索、ajax加载显示功能。

 app/o2o/view/admin/system/setting/tab_o2o.html  |   4 +-
 app/wap/controller/aftersale/changeproduct.php  | 156 ++++++++++++++++++++++++
 app/wap/controller/aftersale/returnproduct.php  | 156 ++++++++++++++++++++++++
 app/wap/controller/store.php                    |   9 +-
 app/wap/dbschema/return.php                     |   7 ++
 app/wap/desktop.xml                             |   4 +
 app/wap/lib/aftersale.php                       | 142 +++++++++++++++++++++
 app/wap/lib/controller.php                      |   2 +
 app/wap/view/aftersale/change_product.html      |  96 +++++++++++++++
 app/wap/view/aftersale/change_product_more.html |  93 ++++++++++++++
 app/wap/view/aftersale/return_product.html      |  96 +++++++++++++++
 app/wap/view/aftersale/return_product_more.html |  63 ++++++++++
 12 files changed, 822 insertions(+), 6 deletions(-)

commit b8f5e8e2fde14ab9e72d002ce1d29eeb9915ebd3
Date:   Sat May 27 11:19:11 2017 +0800

    新增售后支持门店仓：wap端退换货单主表新增changebranch_id字段的及业务代码。

 app/wap/dbschema/return.php    | 8 +++++++-
 app/wap/lib/receipt/reship.php | 1 +
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 18aff266cb312be0a958b4e181f3ba6a3fe187e2
Date:   Fri May 26 18:09:41 2017 +0800

    采购单列表中入库记录查看时基础物料名称没有显示

 app/purchase/controller/admin/eo.php     | 3 +--
 app/purchase/view/admin/eo/eo_items.html | 2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 02a93e3cd8a7a883afa0607991848bac03f6949e
Date:   Fri May 26 17:23:09 2017 +0800

    门店履约订单-货号查询无效修复 SAASOMS-162

 app/o2o/model/performance/orders.php | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 74eb3976c0ed3e73b43ea4d7388207435bd8d6e7
Merge: d228ec8 26eeb31
Date:   Fri May 26 14:25:08 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit d228ec87d9c5bce442f69cbfbc5aec5d67ff59f8
Date:   Fri May 26 14:24:40 2017 +0800

    冻结库存重新计算逻辑加上调拔出库

 app/console/lib/storefreeze.php | 54 +++++++++++++++++++++++------------------
 1 file changed, 31 insertions(+), 23 deletions(-)

commit 26eeb317769ab263f2e5a1248c075337faca5de0
Date:   Fri May 26 10:59:26 2017 +0800

    新增售后支持门店仓：修复新建退换货单保存并审核不能审核成功的问题和wap端数据表的调整及新增的业务。

 app/ome/controller/admin/return/rchange.php |  9 ++++++++-
 app/wap/dbschema/return.php                 | 16 ++++++----------
 app/wap/lib/receipt/reship.php              |  4 ++--
 3 files changed, 16 insertions(+), 13 deletions(-)

commit 166dad65ec5eb80c2b97b3729b3ec6bd557441d4
Date:   Thu May 25 15:13:57 2017 +0800

    订单模块中的撤销发货单独立菜单屏蔽，基于待处理订单增加撤销发货单的功能 DDGL-949

 app/ome/controller/admin/delivery.php              | 15 +++++++--------
 app/ome/lib/finder/orders.php                      |  2 +-
 app/ome/view/admin/delivery/delivery_showmemo.html |  3 ++-
 app/ome/view/admin/delivery/reback_delivery.html   | 20 +++-----------------
 4 files changed, 13 insertions(+), 27 deletions(-)

commit dc8d2b6370f01798d10cc3dee2594028a9850ef0
Date:   Thu May 25 10:58:17 2017 +0800

    新增售后支持门店仓：调整wap端退换货主表单号字段，及相关新增方法。

 app/wap/dbschema/return.php    |  9 ++++++++-
 app/wap/lib/receipt/reship.php | 26 +++++++++++++++++++++-----
 2 files changed, 29 insertions(+), 6 deletions(-)

commit edd07f7b652ae3a688a7edd0cb896cf26ead44de
Date:   Thu May 25 10:01:12 2017 +0800

    订单模块中的撤销发货单独立菜单屏蔽，基于待处理订单增加撤销发货单的功能 DDGL-949

 app/ome/view/admin/delivery/delivery_showmemo.html | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 2da4bca83d5f137ae1d9cfcef8f4bbcdff71d2bf
Date:   Wed May 24 17:35:07 2017 +0800

    前端店铺中的"前端物流绑定"界面上过滤掉门店物流公司和门店仓库 jira:DDGL-960

 app/ome/lib/finder/shop.php | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 099b189a5988004b7f5362192ba948857b4f2e11
Date:   Wed May 24 16:35:40 2017 +0800

    订单模块中的撤销发货单独立菜单屏蔽，基于待处理订单增加撤销发货单的功能 DDGL-949

 app/ome/controller/admin/delivery.php            |  7 ++++++-
 app/ome/controller/admin/order.php               |  2 +-
 app/ome/desktop.xml                              |  3 ++-
 app/ome/lib/finder/orders.php                    | 14 ++++++++++----
 app/ome/view/admin/delivery/reback_delivery.html |  2 +-
 5 files changed, 20 insertions(+), 8 deletions(-)

commit 3a619db5dad71eefde9e23612eeb54ad87ffb4b5
Merge: 81a27eb 9b41a48
Date:   Tue May 23 17:00:26 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 81a27ebbbf66d9b604d535d7e756a22899f81830
Date:   Tue May 23 17:00:00 2017 +0800

    新增售后支持门店仓：取消操作门店仓释放冻结，门店仓库存预占释放公共方法优化。

 app/o2o/lib/return.php                      | 41 +++++++++++++++++++----------
 app/ome/controller/admin/return/rchange.php | 37 +++++++++++---------------
 2 files changed, 42 insertions(+), 36 deletions(-)

commit 9b41a4800697b9fc7220bf2068e33c6001c14f98
Merge: 05a6848 a635210
Date:   Tue May 23 12:06:32 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 05a6848d21e3a676cec25531c30e84385a5b1ff2
Date:   Tue May 23 12:05:59 2017 +0800

    增加发货通知单未推送仓储或门店的守护任务

 app/ome/lib/autotask/timer/syncdlystatus.php | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit a6352109e0a1da98d253aec55842e6e0ae68e9b2
Date:   Tue May 23 11:52:16 2017 +0800

    将【发货】中【待打印】的【运费】放置在高级筛选中且可导出 ZCB-39

 app/wms/lib/finder/extend/filter/delivery.php |  8 ++++++++
 app/wms/model/delivery.php                    | 28 +++++++++++++++++++++++----
 2 files changed, 32 insertions(+), 4 deletions(-)

commit 84d352fc8d0d1b56e01bb0043b95ca4005b0757f
Merge: 057ccdf d6265f6
Date:   Tue May 23 11:41:19 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 057ccdffb3860760eca5c5c3b1c8b3789c5b4b48
Date:   Tue May 23 11:40:45 2017 +0800

    增加自有仓储、H5门店发货的守护任务，检查发货状态的同步

 app/ome/lib/autotask/timer/syncdlystatus.php       | 90 ++++++++++++++++++++++
 .../lib/task/init/logisticsanalystsdomainqueue.php | 15 ++++
 .../lib/task/init/syncdlystatusdomainqueue.php     | 13 ++++
 .../task/timer/logisticsanalystsdomainqueue.php    | 13 ----
 app/taskmgr/lib/task/timer/syncdlystatus.php       | 13 ++++
 app/taskmgr/lib/whitelist.php                      |  2 +
 6 files changed, 133 insertions(+), 13 deletions(-)

commit d6265f60524b35509a95da36ea847e512ec5f2d6
Date:   Mon May 22 18:39:55 2017 +0800

    新增售后支持门店仓：退换单编辑、审核库存时的检查和库存预占。

 app/console/lib/reship.php                  |  21 +--
 app/o2o/lib/return.php                      |  80 ++++++++-
 app/ome/controller/admin/return/rchange.php | 252 ++++++++++++++--------------
 app/ome/lib/return/rchange.php              |  19 ++-
 app/ome/model/reship.php                    |  45 +++--
 5 files changed, 250 insertions(+), 167 deletions(-)

commit a3a7f9900173396a1ac10e5f70a189f11f14c9cf
Date:   Mon May 22 17:31:33 2017 +0800

    [售后换货]"最终换货"操作时_不允许编辑或新建换出商品 jira:DDGL-952

 app/ome/view/admin/return_product/rchange/rchange.html | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 3bed318dc829bf26919882918cb2c1393c77e1ec
Date:   Mon May 22 17:00:27 2017 +0800

    [售后换货]"最终换货"操作时_不允许编辑或新建换出商品 jira:DDGL-952

 app/ome/view/admin/return_product/rchange/rchange.html | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bae53239e6edd07516c74473700ccf46dbf19837
Date:   Mon May 22 16:09:47 2017 +0800

    独立部署默认安装开启写文件形式的kv以及cache

 app/base/examples/config.php | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d4b09959ac559debb0ef9b489df23c4dc6569394
Date:   Mon May 22 15:05:42 2017 +0800

    [售后换货]"最终换货"操作时_不允许编辑或新建换出商品 jira:DDGL-952

 app/ome/controller/admin/return/rchange.php        |   4 +
 app/ome/model/reship.php                           |   4 +-
 .../view/admin/return_product/rchange/rchange.html | 187 ++++++++++++---------
 3 files changed, 117 insertions(+), 78 deletions(-)

commit d6a86a020afe716f30b84fdbe7f244dc6d5732e0
Date:   Fri May 19 15:50:02 2017 +0800

    售后代码整理：优化质检收货执行方法的代码。

 app/ome/controller/admin/return/sv.php | 114 +------
 app/ome/lib/service/aftersale.php      |   6 +-
 app/ome/model/reship.php               | 561 +++++++++++++++------------------
 3 files changed, 269 insertions(+), 412 deletions(-)

commit 6be420537476d4ccac856493a208328556618525
Date:   Fri May 19 15:17:06 2017 +0800

    优化发货单的同步状态，统一新建、取消的同步状态记录

 app/console/controller/admin/delivery/send.php | 2 ++
 app/console/controller/admin/delivery/sync.php | 2 ++
 2 files changed, 4 insertions(+)

commit 349c161048e07bf73b3ecdf74285655ad8a5f5d2
Date:   Fri May 19 15:10:28 2017 +0800

    优化发货单的同步状态，统一新建、取消的同步状态记录

 app/console/controller/admin/delivery/send.php | 23 +++++++++++++++++++++--
 app/console/controller/admin/delivery/sync.php |  9 ++++++---
 2 files changed, 27 insertions(+), 5 deletions(-)

commit ad713503a8c30377400a68017634199c54144747
Date:   Fri May 19 15:03:31 2017 +0800

    优化发货单的同步状态，统一新建、取消的同步状态记录

 app/console/controller/admin/delivery/send.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e06e8b9d14e0a8e3fe98f4d55548213f99e4bc7a
Date:   Fri May 19 14:52:46 2017 +0800

    增加发货单状态统一的历史数据刷新脚本

 script/update/script/updateDlySyncStatus.php | 30 ++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 00b77bacfeec70f7cc6b58fa194440c5d2c82334
Date:   Fri May 19 14:51:52 2017 +0800

    优化发货单的同步状态，统一新建、取消的同步状态记录

 app/archive/dbschema/wmsdelivery.php               |   8 -
 app/archive/lib/order.php                          |   2 +-
 app/console/controller/admin/delivery.php          |   8 +-
 app/console/controller/admin/delivery/send.php     |  33 ++--
 app/console/controller/admin/delivery/sync.php     |  39 ++---
 app/console/dbschema/delivery_send.php             |  52 -------
 app/console/desktop.xml                            |  16 +-
 app/console/lib/delivery.php                       |  42 ++++++
 app/console/lib/finder/delivery/send.php           |  85 -----------
 app/console/model/delivery/send.php                | 167 ---------------------
 app/console/services.xml                           |   6 +-
 app/erpapi/lib/store/request/delivery.php          |   4 +-
 app/erpapi/lib/store/wap/request/abstract.php      |  10 +-
 app/erpapi/lib/wms/request/delivery.php            |   4 +-
 app/erpapi/lib/wms/selfwms/request/abstract.php    |  10 +-
 .../lib/wms/matrixwms/request/delivery.php         |  11 +-
 .../lib/wms/matrixwms/request/ilc/delivery.php     |   4 +-
 .../lib/wms/matrixwms/request/qimen/delivery.php   |   6 +-
 app/ome/dbschema/api_log.php                       |  28 +++-
 app/ome/dbschema/api_log_copy.php                  |  28 +++-
 app/ome/dbschema/delivery.php                      |  46 +++---
 app/ome/lib/delivery/notice.php                    |   4 +-
 app/ome/lib/order/func.php                         |   3 +-
 app/ome/lib/order/split.php                        |   6 +-
 app/ome/lib/sync/order.php                         |  45 ------
 app/ome/model/delivery.php                         |  19 +--
 app/ome/model/orders.php                           |   8 +-
 app/omeauto/lib/auto/group/item.php                |   5 +-
 app/wap/dbschema/delivery.php                      |   8 -
 app/wms/dbschema/delivery.php                      |   7 -
 30 files changed, 187 insertions(+), 527 deletions(-)

commit d3fafc5cc3964b42826927c3a7cb1acab425533c
Date:   Thu May 18 15:54:08 2017 +0800

    h5显示多个订单号的界面优化 jira:DDGL-954

 app/wap/view/order/order_list_more.html | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 499292514acba22c0b5f28d430144e164639ff34
Date:   Thu May 18 15:29:34 2017 +0800

    [开启拆单]订单拆分成多个发货单“已拆分完”状态时_操作暂停或恢复只更新了一条发货单 jira: DDGL-956

 app/ome/model/orders.php | 38 ++++++++++++++++++++++++--------------
 1 file changed, 24 insertions(+), 14 deletions(-)

commit dd9f826b2e6511380ee8c82f47192939e652e190
Date:   Thu May 18 14:06:07 2017 +0800

    有量商品总额计算有误 转有量转矩阵1.0版本

 app/erpapi/lib/channel/shop.php                    |  2 +-
 app/erpapi/lib/shop/matrix/wdwd/response/order.php | 24 ++++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletion(-)

commit f9641952cfa020c2a4bd9a1e445277b0ddad643b
Date:   Thu May 18 11:27:34 2017 +0800

    批量审单去除门店

 app/ome/controller/admin/batch/order.php | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 872a8a55f1ff5c72d64d06f39f055d8bc5cb6b3b
Date:   Wed May 17 14:30:31 2017 +0800

    售后代码整理：售后申请相关文件。

 app/ome/controller/admin/refund/apply.php          |  40 +---
 app/ome/controller/admin/return.php                | 216 ++++-----------------
 app/ome/controller/admin/return/batch.php          |  12 +-
 app/ome/lib/aftersale/request.php                  |  20 +-
 app/ome/lib/aftersale/service.php                  | 180 +++--------------
 app/ome/lib/service/aftersale.php                  |  47 +----
 .../view/admin/return_product/add_return_div.html  |  42 ----
 app/ome/view/admin/return_product/choose_type.html |   7 +-
 .../view/admin/return_product/return_apply.html    |  77 +-------
 9 files changed, 87 insertions(+), 554 deletions(-)

commit a56c7b5c21cac6e332270bce8da21d9ea10cb9bc
Merge: 0579719 627baac
Date:   Wed May 17 11:30:01 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 0579719fccb354edc957dc20558eae52335e1dd5
Date:   Wed May 17 11:29:33 2017 +0800

    优化基础物料在编辑的时候，识别如果成品绑定过半成品，或者半成品绑定过成品，则不允许编辑物料属性
    如果是半成品物料更新的时候，将绑定关系中的名称也更新一下

 app/material/controller/admin/material/basic.php |  4 ++++
 app/material/lib/basic/check.php                 | 13 +++++++++++-
 app/material/view/admin/material/basic/edit.html | 26 ++++++++++++------------
 app/openapi/lib/data/original/basicmaterial.php  | 17 +++++++++++++++-
 4 files changed, 45 insertions(+), 15 deletions(-)

commit 627baac60a997673cb2a5c8f0266bccf7e906db6
Merge: be10969 e4a862b
Date:   Wed May 17 11:03:54 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit be10969c6859ca3a2bd9d4675a73b72a7bced04e
Date:   Wed May 17 11:03:07 2017 +0800

    赠品规则编号展示以及限量展示 SAASOMS-147

 app/ome/controller/admin/crm/gift.php | 37 ++++++++++++++++++++---------------
 app/ome/dbschema/gift_rule.php        | 13 +++++++-----
 app/ome/lib/finder/gift/rule.php      | 20 +++++++++++++++++++
 app/ome/model/gift/rule.php           |  6 ++++++
 4 files changed, 55 insertions(+), 21 deletions(-)

commit e4a862b0f05669726d9cff0a63929ec5be319eba
Date:   Wed May 17 10:15:02 2017 +0800

    o2o门店订单允许合单后_优化展示H5端的订单备注展示和搜索操作 jira:DDGL-954

 app/wap/controller/order.php            | 22 +--------
 app/wap/lib/delivery.php                | 80 ++++++++++++++++++++++++---------
 app/wap/model/delivery.php              | 24 ++++++++++
 app/wap/view/order/order_list_more.html | 14 +++---
 app/wap/view/order/sign_order_info.html | 22 ++++-----
 5 files changed, 104 insertions(+), 58 deletions(-)

commit 2d9d141932c74dd7a065922f5db391f8e960af4f
Date:   Tue May 16 19:14:52 2017 +0800

    分派高级筛选搜索优化

 app/ome/controller/admin/order.php | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 90dea14a6f6fe442ea0afcd752545b680543d58c
Date:   Tue May 16 19:00:52 2017 +0800

    高级搜索修改

 app/ome/controller/admin/order.php | 48 +++++++++++++++++++++++++++++++++++---
 1 file changed, 45 insertions(+), 3 deletions(-)

commit 8270e813226f59a67eaf06827be1c42fb760b5a1
Merge: 78ecd8b 4667667
Date:   Tue May 16 18:36:25 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 78ecd8bbfc7c3b3fc11f2b92649024851bbd3913
Date:   Tue May 16 18:35:41 2017 +0800

    分派时。查询用user like

 app/ome/controller/admin/order.php | 1 +
 1 file changed, 1 insertion(+)

commit 46676675847b4875ca8527a28878f26beb079c0a
Date:   Tue May 16 18:06:02 2017 +0800

    新增售后支持门店仓：优化了退换货列表显示代码，门店wap端审核时退换货单数据新增及门店仓退换货选择显示。

 app/erpapi/lib/store/wap/request/abstract.php      |   7 +-
 app/erpapi/lib/store/wap/request/reship.php        |  10 +
 app/o2o/lib/return.php                             |  31 +++
 app/o2o/view/admin/system/store.html               |   2 +-
 app/ome/controller/admin/return/rchange.php        | 300 ++++++++-------------
 app/ome/lib/reship.php                             |  82 +++---
 app/ome/lib/return/notice.php                      |  48 ++++
 .../view/admin/return_product/rchange/rchange.html |  28 +-
 app/wap/dbschema/return.php                        | 181 +++++++++++++
 app/wap/dbschema/return_items.php                  |  92 +++++++
 app/wap/lib/event/receive/reship.php               |  26 ++
 app/wap/lib/receipt/reship.php                     |  85 ++++++
 12 files changed, 650 insertions(+), 242 deletions(-)

commit 8dd600ad1f5826246275fdfed516823e843ad6b6
Date:   Tue May 16 10:16:58 2017 +0800

    销售明细报表不体现基础物料属性，只显示普通、促销的类型

 app/omeanalysts/model/ome/products.php | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 468a4cb3f0d468689495f00d89984d1483fbd0b4
Date:   Tue May 16 10:14:18 2017 +0800

    防并发优化

 app/erpapi/lib/router/request.php      |  53 ++++++---
 app/erpapi/lib/router/response.php     | 198 +++++++++++++++++++++++++--------
 app/erpapi/lib/shop/response/order.php |   3 +
 3 files changed, 190 insertions(+), 64 deletions(-)

commit 90862ce7cc4a7d4b25533d7e7e7e83b6c857092b
Date:   Mon May 15 18:51:57 2017 +0800

    第三方仓储反馈出入库数量大于申请数量时，系统配置可自动完成，或人工确认 SAASOMS-85

 app/console/controller/admin/delivery.php | 4 ++--
 app/console/lib/receipt/purchase.php      | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 06ca2984604540fd2eca19b745d3106c34fee94b
Date:   Mon May 15 18:37:25 2017 +0800

    基础物料增加成品、半成品的属性设置，成品基础物料可以关联半成品基础物料，成品、半成品基础物料均可管控库存(采购等)，绑定销售物料进行销售
    1.基础物料新增、编辑、导入
    2.OPENAPI数据结构新增、编辑、查询
    3.资源管理商品数据下来自动生成基础物料
    4.针对基础物料相关的报表展示
    5.相关基础物料的弹窗列表展示

 app/console/controller/admin/purchase.php          |  14 +-
 app/inventorydepth/controller/shop/adjustment.php  |  48 ++--
 app/iostock/lib/stocknsale.php                     |   4 +-
 app/material/controller/admin/material/basic.php   | 182 +++++-------
 app/material/lib/basic/check.php                   |  17 +-
 app/material/lib/basic/material.php                |  33 +++
 app/material/lib/basic/material/to/import.php      |  28 +-
 .../lib/extracolumn/basicmaterial/semimaterial.php |  34 +++
 .../lib/finder/basic/material/storage/life.php     |   2 +-
 app/material/model/basic/material.php              |  41 +--
 app/material/view/admin/material/basic/add.html    |  18 +-
 app/material/view/admin/material/basic/edit.html   | 312 +++++++++++----------
 app/ome/model/analysis/productnsale.php            |   2 +-
 app/ome/model/analysis/stocknsale.php              |   2 +-
 .../controller/analysis/productnsale.php           | 115 ++++----
 app/omeanalysts/lib/productnsale.php               | 135 +++++----
 app/omeanalysts/model/ome/products.php             |   2 +-
 app/openapi/lib/api/function/v1/basicmaterial.php  |  12 +-
 app/openapi/lib/api/params/v1/basicmaterial.php    |   8 +-
 app/openapi/lib/data/original/basicmaterial.php    | 162 ++++++-----
 app/purchase/controller/admin/purchase.php         |  14 +-
 app/wms/lib/finder/basic/material/storage/life.php |   2 +-
 22 files changed, 583 insertions(+), 604 deletions(-)

commit 251aa9ef10694a59779b9b4bd77e3eaa82c5fce2
Date:   Mon May 15 18:03:59 2017 +0800

    售后代码整理：新建、编辑退换货单相关代码。

 app/ome/model/reship.php | 271 ++++++++++++++++++++---------------------------
 1 file changed, 114 insertions(+), 157 deletions(-)

commit d873cb0f3a75d4bc0d6313f26f717275f3ceea9f
Date:   Mon May 15 16:54:51 2017 +0800

    会员信息创建时区域为空不保存判断 SAASOMS-145

 app/ome/lib/member/func.php | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 230b1d1d12ace53bf5468af0568eca0c94380c2f
Date:   Mon May 15 14:05:09 2017 +0800

    tcp.erp.taoex.com仓库库存列表，超级管理员可以导出，普通管理员导出任务无法下载 SAASOMS-143

 app/ome/view/admin/finder/finder_branch_panel_filter.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6332c67e6161e799316ee454c5befd766d84f32a
Date:   Mon May 15 13:47:40 2017 +0800

    售后代码整理：质检单据页面无用代码拉掉。

 app/ome/desktop.xml                         |    2 -
 app/wms/controller/admin/return/rchange.php | 1098 +--------------------------
 2 files changed, 25 insertions(+), 1075 deletions(-)

commit 4798593742666283ac31062127aa83b899034ec3
Date:   Fri May 12 18:29:28 2017 +0800

    售后代码整理：售后申请控制器文件。

 app/ome/controller/admin/return.php | 186 +++++++++---------------------------
 1 file changed, 47 insertions(+), 139 deletions(-)

commit 8f6912d69ef12e75a24b5d2759ff35e99c023652
Date:   Fri May 12 15:59:14 2017 +0800

    门店履约订单允许合单

 app/ome/view/admin/order/confirm.html | 64 ++++-------------------------------
 app/omeauto/lib/auto/group/item.php   |  2 +-
 2 files changed, 7 insertions(+), 59 deletions(-)

commit eeb1ba5140704b2686e4aa937bf2b9ef7c1f5f53
Merge: 01f700f 65b9612
Date:   Fri May 12 15:35:26 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 01f700f4ffc304e3b4274c2e2a9ae2cabbf831b0
Date:   Fri May 12 15:35:00 2017 +0800

    修改批量

 app/ome/controller/admin/order.php | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 65b9612038cb65d607b9788d54abb4b10b68d271
Merge: e7228d5 1e54483
Date:   Fri May 12 14:59:13 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit e7228d5ec49f05f9aa143bdc616517f01290b42e
Date:   Fri May 12 14:58:42 2017 +0800

    部分数据表结构增加索引，电商仓发货、门店自提配送后买家签收的处理逻辑归整

 .../lib/hqepay/response/process/logistics.php      | 93 ++------------------
 .../lib/unionpay/response/process/logistics.php    | 98 ++++------------------
 app/iostock/controller/admin/iostocksearch.php     |  2 +-
 app/ome/dbschema/payments.php                      |  7 ++
 app/ome/dbschema/refund_apply.php                  |  7 ++
 app/ome/dbschema/reship.php                        | 21 +++++
 app/ome/dbschema/reship_items.php                  | 10 +++
 app/ome/lib/event/receive/delivery.php             | 38 +++++----
 app/ome/lib/order.php                              | 87 +++++++++++++++++++
 9 files changed, 181 insertions(+), 182 deletions(-)

commit 1e5448309b4d8d01b75417f00ab4970eba76d04b
Date:   Fri May 12 14:20:28 2017 +0800

    订单批量暂停,恢复,开发票,不开发票 SAASOMS-141

 app/ome/controller/admin/batch/order.php           | 411 ++++++++++++++++++++-
 app/ome/controller/admin/order.php                 |  46 ++-
 app/ome/view/admin/order/batch/dialog.html         | 103 ++++++
 .../view/admin/order/batch/doabnormal_dialog.html  |  30 ++
 app/ome/view/admin/order/batch/tax.html            | 102 +++++
 5 files changed, 678 insertions(+), 14 deletions(-)

commit 8ddf6c506dbebaba1d1d999a81eaee64f81750fe
Merge: 84b2ca8 1ad61e3
Date:   Fri May 12 10:25:43 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 84b2ca871eacb4b0a47f4e967be4f63a29da95ec
Date:   Fri May 12 10:25:10 2017 +0800

    明细更新时修复

 app/erpapi/lib/shop/response/components/order/items.php | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 1ad61e3a4121bbc3e2b98b22ffb779881d2e512e
Date:   Fri May 12 09:57:34 2017 +0800

    门店h5签收核销页面_生成提货码触发的JS动作优化  jira:DDGL-942

 app/wap/view/order/sign.html | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 60d216b0c82bf4a0b2b9b6aa09e0f3daaf8d3a19
Merge: f272839 79c846a
Date:   Thu May 11 19:17:04 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit f272839c52db3045af05fa0acd9809fcadb5b18c
Date:   Thu May 11 19:16:27 2017 +0800

    赠品获取不成功修复

 app/channel/model/channel.php | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 79c846ae9853122c0799fb43dc25cd9a2dcd6e2f
Date:   Thu May 11 18:54:27 2017 +0800

    供应商货品关联基础物料时JS进行alter信息提示  jira:DDGL-950

 .../view/admin/supplier/product_index.html         | 55 +++++++++++++++-------
 1 file changed, 39 insertions(+), 16 deletions(-)

commit 8c9c775532518e735465c59248c6478fe01d902b
Date:   Thu May 11 18:53:13 2017 +0800

    o2o门店供货管理_未选择门店或基础物料时JS进行alter信息提示  jira:DDGL-950

 app/o2o/view/admin/branch/product_index.html | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 033150015798c0a8415ec29ace050a516ad7ea87
Date:   Thu May 11 15:21:30 2017 +0800

    o2o门店供货管理_未选择门店或基础物料时JS进行alter信息提示  jira:DDGL-950

 app/o2o/view/admin/branch/product_index.html | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit afab5531f31d473fa195ae05f021f560e0907e35
Date:   Thu May 11 14:18:20 2017 +0800

    去除ome_delivery表里is_received，替换is_received以前搜索的地方为logi_status ERP-3

 app/ome/dbschema/delivery.php               | 20 ++++------------
 app/ome/lib/event/receive/delivery.php      |  2 +-
 app/ome/lib/finder/extend/filter/orders.php | 36 +++++++++++++++--------------
 app/ome/model/orders.php                    |  6 ++---
 4 files changed, 28 insertions(+), 36 deletions(-)

commit d212535c77b04bb2c15b059943ccb932a9366545
Date:   Thu May 11 14:07:05 2017 +0800

    朋客APP上免登OMS门店隐藏掉页面头部  jira:DDGL-948

 app/wap/lib/controller.php                | 3 +++
 app/wap/view/order/order_list.html        | 4 +++-
 app/wap/view/order/sign.html              | 3 +++
 app/wap/view/store/index.html             | 2 ++
 app/wap/view/store/setting.html           | 3 +++
 app/wap/view/store/statistics.html        | 3 +++
 app/wap/view/store/stock.html             | 3 +++
 app/wap/view/store/supply.html            | 3 +++
 app/wap/view/store/supply_config.html     | 3 +++
 app/wap/view/store/supply_relation.html   | 3 +++
 app/wap/view/store/supply_unrelation.html | 3 +++
 app/wap/view/store/user_info.html         | 3 +++
 app/wap/view/store/user_mine.html         | 3 +++
 app/wap/view/store/user_passwd.html       | 3 +++
 14 files changed, 41 insertions(+), 1 deletion(-)

commit d79b6dcb9ba4e91eaed2057773b2da95928a86e3
Date:   Thu May 11 10:29:08 2017 +0800

    XY2017051002上海古星电子商务有限公司(发货单列表 导出签收和揽收时间) SAASOMS-136

 app/omedlyexport/model/ome/delivery.php | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 7b3fe6f57656d4b7baa65122fd80653f26b4cafb
Date:   Wed May 10 09:56:46 2017 +0800

    物流跟踪提交

 app/omeanalysts/controller/logistics/analysts.php     | 8 ++------
 app/omeanalysts/view/logistics/chart_type_column.html | 2 +-
 app/omeanalysts/view/logistics/frame.html             | 2 +-
 3 files changed, 4 insertions(+), 8 deletions(-)

commit 0b388cb8ab794d509f788a73c099d3bbdce7890d
Date:   Wed May 10 09:53:15 2017 +0800

    物流跟踪提交

 app/ome/lib/autotask/timer/logisticsanalysts.php | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 33cd4bff6f9a0d8cdb5b6488a391e381e10ca3b9
Merge: 130e062 ab91957
Date:   Tue May 9 16:48:41 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit 130e062ebfac155dbaa08edda1339a73d3161a6d
Date:   Tue May 9 16:48:25 2017 +0800

    唯品会JIT对接项目 jira:DDGL-936

 app/console/controller/admin/vopstockout.php | 7 +++++++
 app/purchase/lib/purchase/sync.php           | 4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit ab91957a6b5c44db8ab068a4e01a1ef2361a05c3
Date:   Tue May 9 16:17:33 2017 +0800

    物流跟踪修改

 app/taskmgr/lib/task/timer/logisticsanalysts.php            | 13 +++++++++++++
 app/taskmgr/lib/task/timer/logisticsanalystsdomainqueue.php | 13 +++++++++++++
 app/taskmgr/lib/whitelist.php                               |  1 +
 3 files changed, 27 insertions(+)

commit 12bd28188f61a5ff421af99545b1dd44d2d6d7d1
Merge: aa95cb5 e44573e
Date:   Tue May 9 15:37:30 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit aa95cb53a93d8d1233484b74ef5981c8ded061d8
Merge: 455236b 98982dd
Date:   Tue May 9 15:37:02 2017 +0800

    Merge branch 'develop' of https://git.ishopex.cn/oms/oms-system-beta into develop

commit e44573e62706cdfa87e307df21d9c45f14902856
Date:   Tue May 9 15:36:41 2017 +0800

    唯品会JIT对接项目 jira:DDGL-936

 app/console/controller/admin/vopstockout.php | 4 ++++
 app/purchase/lib/purchase/auto/stockout.php  | 4 ++++
 2 files changed, 8 insertions(+)

commit 455236b6eb57839a2a907e3211f1605a29bfe6fa
Date:   Tue May 9 15:36:32 2017 +0800

    调整门店盘点列项的字段默认宽度以及供应商货品表的定义

 app/o2o/model/inventory.php              |  2 +-
 app/o2o/model/product/store.php          | 12 ++++++------
 app/purchase/dbschema/supplier_goods.php |  9 ++-------
 3 files changed, 9 insertions(+), 14 deletions(-)

commit 98982dd68666bb76a59862253e16ce74fa1f4c17
Date:   Tue May 9 14:27:58 2017 +0800

    php5.6兼容：销售物料编辑页面报Strict Standards。

 app/material/lib/view/input.php | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit f997c089c9e5e0e7ff3baac774330d0fcf4cd9db
Date:   Tue May 9 11:35:26 2017 +0800

    轨迹跟踪功能

 app/omeanalysts/controller/logistics/analysts.php  |  90 ++++++++++++++++++
 app/omeanalysts/dbschema/logistics_analysts.php    | 105 +++++++++++++++++++++
 app/omeanalysts/desktop.xml                        |   4 +
 app/omeanalysts/model/logistics/analysts.php       |  22 +++++
 .../view/logistics/chart_type_column.html          |  73 ++++++++++++++
 app/omeanalysts/view/logistics/frame.html          |  33 +++++++
 app/omeanalysts/view/logistics/search.html         |  79 ++++++++++++++++
 7 files changed, 406 insertions(+)

commit f0250eb9e7190c5fd331eddf29b89f729a48b080
Date:   Tue May 9 11:33:34 2017 +0800

    轨迹跟踪功能

 app/ome/dbschema/delivery.php | 8 ++++----
 app/ome/desktop.xml           | 7 ++-----
 2 files changed, 6 insertions(+), 9 deletions(-)

commit 86b7424c6900abb44a1efac89375d110b1a9e013
Date:   Tue May 9 11:31:35 2017 +0800

    轨迹跟踪功能

 app/erpapi/lib/hqepay/response/logistics.php           | 12 ++++++------
 app/erpapi/lib/hqepay/response/process/logistics.php   | 10 +++++-----
 app/erpapi/lib/unionpay/response/logistics.php         |  4 ++--
 app/erpapi/lib/unionpay/response/process/logistics.php |  4 ++--
 4 files changed, 15 insertions(+), 15 deletions(-)

commit 084cd5e46dc681184de78c02802c2cd98570743d
Date:   Tue May 9 10:26:40 2017 +0800

    物流跟踪修改

 app/ome/controller/admin/logistics/analysts.php    |  90 ------------------
 app/ome/dbschema/logistics_analysts.php            | 105 ---------------------
 app/ome/desktop.xml                                |   2 +-
 app/ome/lib/autotask/timer/logisticsanalysts.php   |   2 +-
 app/ome/model/logistics/analysts.php               |  22 -----
 .../view/admin/logistics/chart_type_column.html    |  73 --------------
 app/ome/view/admin/logistics/frame.html            |  33 -------
 app/ome/view/admin/logistics/search.html           |  79 ----------------
 8 files changed, 2 insertions(+), 404 deletions(-)

commit c57819c2f4fd94e05bb439aa428177bf1681f0d9
Date:   Mon May 8 15:26:34 2017 +0800

    o2o门店拒绝原因记录如果没有使用过可以点击删除 jira:SAASOMS-134

 app/o2o/controller/admin/refuse/reason.php | 40 ++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

commit deaf72d8a9bade5e92bb68cc0167790bd7b6d3dd
Date:   Mon May 8 14:41:30 2017 +0800

    增加获取仓库级预占合计的方法

 .../dbschema/basic_material_stock_freeze.php       |  8 +-------
 app/material/lib/basic/material/stock/freeze.php   | 23 +++++++++++++++++++++-
 app/ome/view/admin/system/shopnode.html            |  8 ++------
 3 files changed, 25 insertions(+), 14 deletions(-)

commit 54a14b263227b5aaba1bdedef5b5d1faa744e549
Date:   Mon May 8 14:26:35 2017 +0800

    轨迹跟踪功能

 app/console/controller/admin/delivery.php |  3 +++
 app/console/lib/finder/delivery.php       | 24 +++++++++++++++++++++++-
 2 files changed, 26 insertions(+), 1 deletion(-)

commit ca03b219f0cebc8dea4a3eff735ea73330de29c5
Date:   Mon May 8 11:44:21 2017 +0800

    轨迹跟踪功能

 app/taskmgr/lib/whitelist.php | 1 +
 1 file changed, 1 insertion(+)

commit 20600c2a78e53eda5ca7927ca82bb6a80558de15
Date:   Mon May 8 11:43:41 2017 +0800

    轨迹跟踪功能

 app/erpapi/lib/hqepay/response/logistics.php       | 22 +++++++++++++--
 .../lib/hqepay/response/params/logistics.php       |  4 +--
 .../lib/hqepay/response/process/logistics.php      | 32 ++++++++++++++++------
 app/erpapi/lib/unionpay/response/logistics.php     | 10 +++++--
 .../lib/unionpay/response/params/logistics.php     |  4 +--
 .../lib/unionpay/response/process/logistics.php    | 17 ++++++++----
 6 files changed, 68 insertions(+), 21 deletions(-)

commit 877836c929456c912eccaf2703b36c40480413d3
Date:   Mon May 8 11:37:51 2017 +0800

    轨迹跟踪功能

 app/ome/controller/admin/logistics/analysts.php    |  90 +++++++++++++
 app/ome/dbschema/branch.php                        |   6 +
 app/ome/dbschema/delivery.php                      |  45 ++++++-
 app/ome/dbschema/logistics_analysts.php            | 105 +++++++++++++++
 app/ome/desktop.xml                                |   5 +
 app/ome/lib/autotask/timer/logisticsanalysts.php   | 147 +++++++++++++++++++++
 app/ome/lib/branch.php                             |  12 ++
 app/ome/model/logistics/analysts.php               |  22 +++
 .../view/admin/logistics/chart_type_column.html    |  73 ++++++++++
 app/ome/view/admin/logistics/frame.html            |  33 +++++
 app/ome/view/admin/logistics/search.html           |  79 +++++++++++
 app/ome/view/admin/system/branch.html              |   3 +
 12 files changed, 619 insertions(+), 1 deletion(-)

commit 5daf01d75f789e09f5fbe32e5a0f54d3421448bc
Date:   Fri May 5 18:04:25 2017 +0800

    基础档案-地区管理 地区删除前判断是否有订单。如果有不允许删除 SAASOMS-113

 app/eccommon/controller/regions.php | 18 ++++++++++++++++++
 app/eccommon/model/regions.php      |  2 +-
 2 files changed, 19 insertions(+), 1 deletion(-)

commit 00ad35e2382b0c6312316d4d2faeb64cb71463ca
Date:   Fri May 5 18:03:03 2017 +0800

    [大朴]技术支持：第三方仓之间调拨时，调拨出有明细行反馈为0，调拨入时单据生成失败，提示数量不能为0 DDGL-947

 app/console/lib/iostockdata.php | 25 ++++++++++++++-----------
 1 file changed, 14 insertions(+), 11 deletions(-)

commit 2cf80e8b3a74a3dc25f2f931f1043a215617cb22
Date:   Fri May 5 18:01:17 2017 +0800

    列表显示优化 SAASOMS-128

 app/console/model/delivery.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f7e3d9168b13e7531dc4a2d98e00728195bcf4a1
Date:   Fri May 5 17:59:36 2017 +0800

    重新计算冻结加上转储出库 类型  SAASOMS-130

 app/console/controller/admin/stock.php |  6 ++++++
 app/console/lib/storefreeze.php        | 14 ++++++++++++++
 2 files changed, 20 insertions(+)
